@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400;500;600;700;800&display=swap');
:root {
  --primary-color: #226ee8;
  --secondary-color: #eff6ff;
  --dark-purple: #6366f1;
  --light-gray: #bfdbfe;
  --dark-gray: #6b7280;
  --primary-color-hover: #3b82f6;
  --secondary-button-hover: #cdd7e8;

  --aside-width: 20rem;
  --font-size: 1.5rem;
  --aside-font-size: 1.3rem;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* padding to block as 1rem */
.pad-1 {
  padding: 1rem;
}

.container {
  padding: 0 10rem;
  /* margin: 0 4rem; */
}

.bold {
  font-weight: 600;
}

.links {
  text-decoration: none;
  color: inherit;
  cursor: pointer;
}

.theme-text {
  color: var(--primary-color);
}

.font-size-130 {
  font-size: 130%;
}

.darkMode {
  background-color: #444444;
  color: white;
}

/* for wraping the overflow content */
.content-wrap {
  overflow-x: hidden;
  overflow-wrap: break-word;
}

body {
  height: 100vh;
  font-size: var(--font-size);
  font-family: 'Montserrat', Arial, Helvetica, sans-serif;
  display: grid;
  grid-template-rows: 10% 75% 15%;
  grid-template-columns: 100%;
  grid-template-areas:
    'navbar'
    'main'
    'footer';
  /* overflow-y: */
  /* overflow: hidden; */
}

header {
  grid-area: navbar;
  display: flex;
  align-items: center;
  border-bottom: 1px solid var(--dark-gray);
  box-shadow: 0 3px 6px #00000029, 0 3px 6px #0000003b;
  flex-wrap: wrap;
}

/*********** NAVBAR STYLES *************/

.navbar {
  background-color: inherit;
  flex-basis: 100%;
  align-self: center;
  position: sticky;
  top: 0rem;
  z-index: 1;
  display: flex;
  justify-content: space-between;
}

.navbar-brand {
  position: relative;
}
.navbar-brand-text {
  font-weight: 500;
  padding-left: 3rem;
}

.navbar-brand-logo {
  height: 2rem;
  position: absolute;
  top: -2px;
}

.social-icons {
  height: 1.5rem;
  cursor: pointer;
}

.navbar-links-list {
  display: flex;
  list-style: none;
  justify-content: space-evenly;
}

.navbar-links-list li {
  padding-left: 2rem;
}

/* ************ASIDE STYLES **************/

aside {
  grid-area: aside;
  background-color: inherit;
  padding: 1rem 2rem;
  border-right: 2px solid var(--dark-gray);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  /* height: 100%; */
  /* position: fixed;
    top: 10%;
    width: 20rem; */
}

aside ul {
  padding-top: 1rem;
  list-style: none;
  line-height: 1.6;
}

aside ul li {
  font-size: var(--aside-font-size);
}

.aside-menu li {
  /* border: 1px solid black; */
  padding-left: 1rem;
  width: 12rem;
  margin-bottom: 3px;
  /* border-radius: 1rem;
  background-color: var(--primary-color-hover);
  color: white; */
}

.aside-menu li:hover {
  border: 1px solid gray;
  padding-left: 1rem;
  width: 12rem;
  margin-bottom: 3px;
  border-radius: 10px;
  background-color: gray;
  color: white;
}

.aside-footer {
  /* position: fixed; */
  /* bottom: 1rem; */
  font-size: 0.8rem;
}

#hamburger-icon,
#cancel-icon {
  display: none;
}
.main-content-subheading {
  font-weight: 600;
  font-size: 1.3rem;
  padding: 1rem 0rem;
}
.main-content-heading {
  padding-bottom: 1rem;
}

p {
  padding: 1rem 0rem;
}

.left {
  width: 50%;
  height: 80vh;
  padding-right: 1rem;
}

/* -------------------------- */

.header {
  display: flex;
  padding: 5rem 1rem;
  align-items: center;
}

.header-content {
  width: 50%;
  padding-left: 1rem;
}
.header-image {
  width: 50%;
}
.header-hero-image {
  padding-top: 2rem;
  width: 100%;
}
.header-content-heading {
  font-size: 2.5rem;
  /* font-weight: 600; */
}
.header-content-subheading {
  font-weight: 100;
}
.header-content-description {
  font-weight: 300;
  padding-top: 2rem;
}
.header-content-description .list-icon {
  padding-right: 1rem;
}

.header-content-description ul li {
  line-height: 190%;
}
.header-content-action {
  padding-top: 2rem;
}

.primary-button,
.secondary-button {
  padding: 0.6rem 3rem;
  font-size: inherit;
  border-radius: 10px;
  cursor: pointer;
  margin: 2rem 0rem;
}

.primary-button {
  background-color: var(--primary-color);
  border: 1px solid var(--primary-color);
  color: white;
}

.secondary-button {
  border: 1px solid var(--primary-color);
  color: var(--primary-color);
  background-color: inherit;
  margin-left: 1rem;
}

.primary-button:hover {
  background-color: var(--primary-color-hover);
  border: 1px solid var(--primary-color-hover);
}

.secondary-button:hover {
  background-color: var(--secondary-button-hover);
  border: 1px solid var(--secondary-button-hover);
  /* color: var(--primary-color) */
}
/* footer {
  position: absolute;
  left: 50%;
  bottom: 2rem;
  transform: translateX(-50%);
} */

.author-info {
  font-weight: 300;
  font-size: 1rem;
  padding: 1rem;
}

/* .author-links-section {
  text-align: center;
} */
.author-links-section .social-icons {
  padding: 0rem 0.5rem;
}
.social-icons {
  height: 1.5rem;
  cursor: pointer;
}
.list-icon {
  height: 1rem;
}

main {
  grid-area: main;
  display: flex;
  flex-direction: row;
  padding-top: 4rem;
}

.right {
  width: 50%;
  height: 80vh;
}

footer {
  grid-area: footer;
  text-align: center;
}

.pad-tb-1 {
  padding: 1rem 0rem;
}

/* MEDIA QUERIES */
@media screen and (max-width: 600px) {
  body {
    height: 90vh;
    font-size: var(--font-size);
    font-family: 'Montserrat', Arial, Helvetica, sans-serif;
    display: grid;
    grid-template-rows: 10% 80% 10%;
    grid-template-columns: 100%;
    grid-template-areas:
      'navbar'
      'main'
      'footer';
  }
  .navbar-brand-text {
    display: none;
  }

  #hamburger-icon {
    display: block;
  }
  #cancel-icon {
    z-index: 3;
  }
  .navbar-links {
    display: none;
  }
  .right {
    display: none;
    width: 0%;
  }
  .left {
    width: 100%;
    padding-right: 0rem;
  }
  .container {
    padding: 0rem 2rem;
  }
  .primary-button,
  .secondary-button {
    width: 100%;
    margin: 0.25rem 0rem;
  }

  .primary-button {
    margin-top: 2rem;
  }

  main {
    padding-top: 2rem;
  }

  .header-content-description {
    font-weight: 300;
    font-size: 90%;
    padding-top: 2rem;
  }
  .header-content-description ul li {
    line-height: 150%;
  }
}
@media screen and (min-width: 600px) {
  #hamburger-icon,
  #cancel-icon {
    display: none;
  }
}
